{
  WLX Z80 Lister Plugin
  (c) 2011 Volker Pohlers
  based on
  WLX Delphi Tutorial Plugin
  (c) 2004 Mutex Ltd. mutex@nm.ru

  for Delphi5 and newer
}

library ListZ80;
{$R *.res} //DLL version info

uses
  SysUtils,
  Windows,
  unMain in 'unMain.pas' {fmMain},
  unAbout in 'unAbout.pas' {fmAbout},
  uZ80File in 'uZ80File.pas';

{$E wlx}

const
  PARSE_FUNCTION = 'FORCE | (EXT="Z80"| EXT = "Z13")';
  SUPPORT_EXT = '.Z80.Z13';

procedure ListGetDetectString(DetectString: PChar; MaxLen: integer); stdcall;
begin
  StrLCopy(DetectString, PChar(PARSE_FUNCTION), MaxLen);
end;

function ListLoad(ListerWin: HWND; FileToLoad: PChar; ShowFlags: integer): HWND; stdcall;
begin
  Result := 0;
  if Pos(UpperCase(ExtractFileExt(FileToLoad)), SUPPORT_EXT) = 0 then
    exit
  else
    Result := ShowZ80(ListerWin, FileToLoad);
end;

function ListLoadNext(ParentWin, PluginWin: thandle; FileToLoad: pchar; ShowFlags: integer): integer; stdcall;
begin
  Result := 0;
  if Pos(UpperCase(ExtractFileExt(FileToLoad)), SUPPORT_EXT) = 0 then
    exit
  else
    Result := ShowNextZ80(PluginWin, FileToLoad);
end;

procedure ListCloseWindow(PluginWin: HWND); stdcall;
begin
  HideZ80(PluginWin);
end;

exports
  ListGetDetectString,
  ListLoad,
  ListLoadNext,
  ListCloseWindow;

end.

